Bug 244717

Summary: net/freerdp poor sound quality
Product: Ports & Packages Reporter: bergerkos
Component: Individual Port(s)Assignee: Kyle Evans <kevans>
Status: New ---    
Severity: Affects Many People Flags: bugzilla: maintainer-feedback? (kevans)
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   

Description bergerkos 2020-03-10 12:40:02 UTC
Poor sound quality in Windows host (hissing + lags). Was reported and fixed in head, see https://github.com/FreeRDP/FreeRDP/issues/5514.

Port version compiled according to this https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239915 PR has no such problem.

Therefore it seems reasonable to update the current port sources at least to that commit to fix this sound issue.
Comment 1 Kyle Evans freebsd_committer 2020-03-10 12:47:47 UTC
(In reply to bergerkos from comment #0)

Hmm... that's very usual. =-(

I really wish FreeRDP would just draw a hard line and release 2.0.0 already... -rc4 was released 2018/11/20 and there's been 1400+ commits since then, at what point is it really not an -rc anymore?

The unusual part is actually that the patch in the other PR fixed it, though -- that one doesn't actually update at all, it just brings in a single patch that I had submitted upstream to fix the build with urbdc. However, it -did- also bring in dbus-glib and libudev-devd; I could probably believe that something in there sufficiently changed the build such that you're using a differentr audio backend with the new dependencies added.
Comment 2 bergerkos 2020-03-10 19:59:15 UTC
Sorry, my mistake. Yours were created long before the #5818 (the latter is dated January 8 2020). So it couldn't be the case.

I will try, though, with those patches, too.
Comment 3 bergerkos 2020-03-10 21:08:32 UTC
Ok,my error here. It seems that all the difference in sound is due to enabling /disabling FAAD in additon to FFMPEG -- both in your and the standard version.

Still I wonder if #5818 mentioned in my post here is worth trying. They seem to have improved rdpsnd device quite a bit.